import { BadgeColorKey } from "@/utils/constant";
import { CustomBadge } from "../component/table";


interface IColumnHeader {
  Header: string;
  accessor?: string;
  accessorKey?: string;
  Cell?: (info: any) => JSX.Element;
}

type Columns = IColumnHeader[];

export const columnsDataBlocks: Columns = [
  {
    Header: "Assignment Priority Id",
    accessor: "id",
  },
  {
    Header: "Name",
    accessor: "name",
  },
  {
    Header: "Color",
    accessor: "color",
    Cell: ({ row }) => (<CustomBadge color={row?.original?.color as BadgeColorKey} />),
  }
];

